For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETGet Schema Records
Logo
Log inBook a demo
API ReferenceSchemas

Get Schema Records

GET
https://app.polytomic.com/api/connections/:connection_id/:schema_id/records
GET
/api/connections/:connection_id/:schema_id/records
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/contact/records \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": [
3 {
4 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
5 "firstName": "Jane",
6 "lastName": "Doe",
7 "email": "jane.doe@example.com",
8 "phone": "+1-555-123-4567",
9 "createdAt": "2024-04-20T10:15:30Z",
10 "isActive": true
11 }
12 ]
13}
Returns a sample of records from a schema on a connection.
Was this page helpful?
Previous

Enrichment Fields

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

connection_idstringRequiredformat: "uuid"
Unique identifier of the connection.
schema_idstringRequired
Identifier of the schema within the connection.

Headers

X-Polytomic-VersionstringRequired

Response

OK
datalist of maps from strings to any or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error